GetSignature
POST
/v2/Common/GetSignaturePrompts a dialog on terminal to draw a signature on terminal screen. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Tpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/Common/GetSignature
1curl --location 'https://test.spinpos.net/v2/Common/GetSignature' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "Tpn": "",
6 "RegisterId": "",
7 "Authkey": "",
8 "SPInProxyTimeout": ""
9}'
Response
// Awaiting response…
Sample response
{
"Signature": "",
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
}
}